# Interface CompanionAdSelectionSettings

See: https://developers.google.com/interactive-media-ads/docs/sdks/html5/client-side/reference/js/google.ima.CompanionAdSelectionSettings

interface CompanionAdSelectionSettings {
adSlotIds: string[];
creativeType: CreativeType;
nearMatchPercent: number;
resourceType: ResourceType;
sizeCriteria: SizeCriteria;
}

#####
Index

### Properties

adSlotIds
creativeType
nearMatchPercent
resourceType
sizeCriteria

## Properties

### adSlotIds

adSlotIds: string[]

### creativeType

creativeType: CreativeType

### nearMatchPercent

nearMatchPercent: number

### resourceType

resourceType: ResourceType

### sizeCriteria

sizeCriteria: SizeCriteria